Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Botan::TLS::New_Session_Ticket Member List

This is the complete list of members for Botan::TLS::New_Session_Ticket, including all inherited members.

New_Session_Ticket(Handshake_IO &io, Handshake_Hash &hash, const std::vector< uint8_t > &ticket, uint32_t lifetime) | Botan::TLS::New_Session_Ticket |
New_Session_Ticket(Handshake_IO &io, Handshake_Hash &hash) | Botan::TLS::New_Session_Ticket |
New_Session_Ticket(const std::vector< uint8_t > &buf) | Botan::TLS::New_Session_Ticket | explicit
ticket() const | Botan::TLS::New_Session_Ticket | inline
ticket_lifetime_hint() const | Botan::TLS::New_Session_Ticket | inline
type() const override | Botan::TLS::New_Session_Ticket | inline virtual
type_string() const | Botan::TLS::Handshake_Message |
~Handshake_Message() | Botan::TLS::Handshake_Message | inline virtual